/********************************************************************************
 *  
 *  Product: GSAOBKeyMatchesLib
 *  Description: A C# API for Responsing to Google Search Appliance OneBoxModule.
 *
 *  (c) Copyright 2007 
 *  
********************************************************************************/
using System;
using System.Collections.Generic;
using System.Text;

namespace GSAOBKeyMatchesLib.Client
{
    /// <summary>
    /// Provides methods to create KeyMatch  objects
    /// <para>Author Albert Ghukasyan</para>
    /// </summary>
    class KMObject
    {
        #region Variables

        public String url;
        public String matchString;
        public String keymatch;

        #endregion

        #region Construcor

        public KMObject(String url, String matchString, String keymatch)
        {
            this.url = url;
            this.matchString = matchString;
            this.keymatch = keymatch;
        }

        #endregion

        #region overriden ToString

        public override string ToString()
        {
            return "URL: " + url + " MatchString: " + matchString + " Keymatch: " + keymatch;
        }

        #endregion
    }
}
