/********************************************************************************
 *  
 *  Product: GSAOBKeyMatchesLib
 *  Description: A C# API for Responsing to Google Search Appliance OneBoxModule.
 *
 *  (c) Copyright 2007 
 *  
********************************************************************************/
using System;
using System.Collections.Generic;
using System.Text;

namespace GSAOBKeyMatchesLib.Server
{
    /// <summary>
    /// Provides methods to create Failure Codes for Response stream
    /// <para>Author Albert Ghukasyan</para>
    /// </summary>
    class FailureCodes
    {
        #region Variables

        private String Desctription;
        public static FailureCodes lookupFailure = new FailureCodes("lookupFailure");
        public static FailureCodes securityFailure = new FailureCodes("securityFailure");
        public static FailureCodes timeout = new FailureCodes("timeout");

        #endregion

        #region Constructor

        private FailureCodes(String description)
        {
            this.Desctription = description;
        }

        #endregion

        #region ToString

        public override string ToString()
        {
            return this.Desctription;
        }

        #endregion

    }
}
